@tool
extends EditorPlugin

const INSPECTOR_PLUGIN = preload("res://addons/transition_configurator/transition_inspector_plugin.gd")

var inspector_plugin: EditorInspectorPlugin

func _enter_tree() -> void:
	inspector_plugin = INSPECTOR_PLUGIN.new()
	print("HELLO")
	add_inspector_plugin(inspector_plugin)

func _exit_tree() -> void:
	remove_inspector_plugin(inspector_plugin)
	inspector_plugin = null
